
import Globals, OFS, os
from string import split

import LeakFinder
import InstallControlPanel

_prodname = split(__name__, '.')[-1]

def createIcon(iconspec, _prefix, pid=_prodname):
    name = os.path.split(iconspec)[1]
    res = 'misc_/%s/%s' % (pid, name)
    icon = Globals.ImageFile(iconspec, _prefix)
    icon.__roles__=None
    if not hasattr(OFS.misc_.misc_, pid):
        setattr(OFS.misc_.misc_, pid, OFS.misc_.Misc_(pid, {}))
    getattr(OFS.misc_.misc_, pid)[name]=icon
    return res

def initialize(context):
    InstallControlPanel.initializeAtStartup(context, LeakFinder.LeakFinder)
    LeakFinder.LeakFinder.icon = createIcon('leak.gif', globals())
